# Ogre::D3D9VideoModeList Class Reference

`#include <OgreD3D9VideoModeList.h>`

List of all members.

## Public Member Functions

| D3D9VideoModeList (D3D9Driver *pDriver)
| ~D3D9VideoModeList ()
BOOL | enumerate ()
D3D9VideoMode * | item (size_t index)
size_t | count ()
D3D9VideoMode * | item (const String &name)

## Private Attributes

D3D9Driver * | mpDriver
std::vector< D3D9VideoMode > | mModeList

## Constructor & Destructor Documentation

Ogre::D3D9VideoModeList::D3D9VideoModeList | ( | D3D9Driver * | pDriver | ) |

Ogre::D3D9VideoModeList::~D3D9VideoModeList | ( |  | ) |

## Member Function Documentation

size_t Ogre::D3D9VideoModeList::count | ( |  | ) |

BOOL Ogre::D3D9VideoModeList::enumerate | ( |  | ) |

D3D9VideoMode* Ogre::D3D9VideoModeList::item | ( | const String & | name | ) |

D3D9VideoMode* Ogre::D3D9VideoModeList::item | ( | size_t | index | ) |

## Member Data Documentation

std::vector<D3D9VideoMode> Ogre::D3D9VideoModeList::mModeList `[private]`

| Definition at line 38 of file OgreD3D9VideoModeList.h.

D3D9Driver* Ogre::D3D9VideoModeList::mpDriver `[private]`

| Definition at line 37 of file OgreD3D9VideoModeList.h.

The documentation for this class was generated from the following file:

- OgreD3D9VideoModeList.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:45:45 2005